import 'package:flutter/material.dart';
import 'package:furibase/components/collection_container.dart';

class CollectionSkinScreen extends StatefulWidget {
  const CollectionSkinScreen({super.key});

  @override
  State<CollectionSkinScreen> createState() => _CollectionSkinScreenState();
}

class _CollectionSkinScreenState extends State<CollectionSkinScreen> {
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          SizedBox(height: 80),
          Padding(
            padding: EdgeInsets.all(40),
            child: Wrap(
              alignment: WrapAlignment.start,
              spacing: 10, // Horizontal spacing between the containers
              runSpacing: 10, // Vertical spacing between lines
              children: [
                CollectionContainer(
                  label: "Luffy Kimono",
                  imagesrc: 'images/luffy-kimono.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Oni Chan (Default)",
                  imagesrc: 'images/klipartz.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Cepot (Default)",
                  imagesrc: 'images/cepott.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Luffy (Default)",
                  imagesrc: 'images/luffy.png',
                  onTapAc: () => {},
                ),
                CollectionContainer(
                  label: "Luffy King",
                  imagesrc: 'images/luffy-king.png',
                  onTapAc: () => {},
                ),
              ],
            ),
          ),
        ],
      ),
    );
  }
}
